﻿###################################################################
#	Paramètres pour le serveur d'authentification
#
# Si vous ne disposez pas de serveur d'authentification (SAUT),
# vous devez redéfinir le dictionnaire de connexion (url username et password)
# dans chacun des modèles utilisés (application + frameworks éventuels).
# Dans ce cas, les paramètres suivants seront ignorés.
###################################################################
#La connexion principale à utiliser, peut être redéfinie par SAUT_ID_TRANSLATION
APP_ID=MARACUJA
#permet de spécifier les connexion saut à utiliser pour chaque modele
#ULOGIN est le app_ID utilisé par le framework criWebExt
#SAUT_ID_TRANSLATION=ULOGIN:GRHUMCKTL,MARACUJA:MARACKTLD
#SAUT_ID_TRANSLATION=ULOGIN:GRHUM,MARACUJA:MARACUJA
SAUT_ID_TRANSLATION=ULOGIN:LC1.GRHUM,MARACUJA:LC1.MARA
#SAUT_ID_TRANSLATION=ULOGIN:GRHUMT2,MARACUJA:MARA_JTEST
#SAUT_ID_TRANSLATION=ULOGIN:GRHUMM1,MARACUJA:MARACM1
#SAUT_ID_TRANSLATION=ULOGIN:GRHUM.CACH,MARACUJA:MARA.CACH
#SAUT_ID_TRANSLATION=ULOGIN:GRHUMINPTT,MARACUJA:MARAINPTT
APP_ALIAS=Maracuja
APP_ULR=
SAUT_URL=https://apps.univ-lr.fr/cgi-bin/WebObjects/ServAut.woa/wa/
###################################################################

#méthode d'authentification des utilisateurs (SAUT/SQL/LOGIN)
#attention, AVEC SAUT LES PERSID NE SONT PAS FORCEMENT LES MEMES sur gestdev et gest...
LCL_USER_AUT_MODE=SQL

#Le timezone à utiliser (GMT, GMT+1, GMT+11, etc.)
DEFAULT_NS_TIMEZONE=GMT+1

#Indique à l'application d'envoyer un mail à l'administrateur à chaque démarrage de l'application (0/1)
SEND_MAIL_TO_ADMIN_AT_STARTUP=0

#Adresse email de l'administrateur de l'application 
ADMIN_MAIL=rodolphe.prin@univ-lr.fr

#Indique si on est en mode de test (1/0) (active la redirection des emails, voir ZEMAIL_FOR_TEST)
ZTEST_MODE=0

#Adresse email à utiliser lorsqu'on est en test.
ZEMAIL_FOR_TEST=rodolphe.prin@univ-lr.fr

#Mot de passe permettant de se connecter a l'application (pour les taches d'administration).
#Ce mot de passe est utile notamment pour paramétrer les droits utilisateurs
#Il est souhaitable pour des raison de securite de vider lorsque les taches d'administration sont terminees
#le mot de passe doit être en clair
PASS_ADMIN=


####################################################################
# Parametres de logs
# Valeurs = 0 ou 1
####################################################################
#Niveau des logs pour le serveur et le client
# dans l'ordre decroissant de detail : VERBOSE, DEBUG, INFO, WARNING, ERROR, NONE
# Par defaut le niveau est à INFO
LOG_LEVEL_SERVER=VERBOSE
LOG_LEVEL_CLIENT=VERBOSE
#Afficher le log d'initialisation de l'application
SHOWINITLOG=1
#Afficher les logs des commandes SQL (uniquement pour débogage car c'est lourd)
SHOWSQLLOGS=0
#Afficher les logs de tracage (pour débogage)
#deprecated
#SHOWTRACE=1
#Affiche le login de l'utilisateur pour le log (defaut: 1)
#deprecated
SHOWUSERNAMEINLOG=1
#Affiche l'adresse IP de l'utilisateur dans le log (defaut: 1)
#deprecated
SHOWIPADDRESSINLOG=0

####################################################################
#Parametres pour afficher les infos de connexion à la base sur la page html
#Pour plus de sécurité, éviter d'activer ces paramètres
####################################################################
#Affiche le nom du serveur de la base de données (par exemple toto.univ-lr.fr). (1/0)
SHOWBDCONNEXIONSERVER=1
#Affiche le nom de l'instance (par ex gestlcl)
SHOWBDCONNEXIONSERVERID=1

#Message à afficher sur l'écran d'accueil de tous les clients (apres identification)
#Utilisez du code html pour personnaliser...
DISPLAY_MESSAGE_CLIENTS=
#DISPLAY_MESSAGE_CLIENTS=<html><table bgcolor="#FF0000" width="450"><tr><td><font color="#FFFFFF"><b>Cette version est une pré-version de Test. Reportez les bugs svp...</b></font></td></tr></table></html>

#Définit l'url racine pour l'aide (du type http://www.toto.com/help/)
ROOT_URL_FOR_HELP=

####################################################################
#Reports
#####################################################################
#Permet de specifier un repertoire ou se trouve les fichiers de report.
#Si vide, utilisation des reports par defaut (situes dans /contents/Resources/)
REPORTS_LOCATION=

#Periode de mise a jour des origines en secondes (origines= liste des conventions RA, des lignes budgetaires lucratives etc.)
ORIGINE_REFRESH_PERIOD=3600

#Emplacement du dossier ou doivent etre stockes les fichiers de log (independant de l'emplacement 
#specifie dans le moniteur webobjects). Si vide ou erronne, le repertoire tmp du systeme sera utilise. 
TMP_LOG_DIR=


